# IRdNtClientsListDisp Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | AddClient ([in] IRdNtClientInfoDisp *pRdNtClientInfo)
HRESULT | RemoveClient ([in] RtCSNID csnidClient)
HRESULT | GetClientInfo ([in] RtCSNID csnidClient,[out, retval] IRdNtClientInfoDisp **ppRdNtClientInfo)
HRESULT | GetNumClients ([out, retval] RtDWORD *pdwNumClients)
HRESULT | GetClientInfoByIndex ([in] RtDWORD dwIndex,[out, retval] IRdNtClientInfoDisp **ppRdNtClientInfo)
HRESULT | GetClientInfoByName ([in] BSTR bszName,[out, retval] IRdNtClientInfoDisp **ppRdNtClientInfo)
HRESULT | GetFirstClient ([out, retval] IRdNtClientInfoDisp **ppRdNtClientInfo)
HRESULT | GetNextClient ([out, retval] IRdNtClientInfoDisp **ppRdNtClientInfo)
## Properties
BSTR * | ServerName`[get]`
BSTR | ServerName`[set]`

## Detailed Description

Object holds information about all logged clients.
It is automatically generated by client object and stored in LoggedIn connector.
You can find the object in /Network space after you enter into a Shared Space.
For more info look at IRiNetwork::NtConnectTo.

## Member Function Documentation

HRESULT IRdNtClientsListDisp::Clear | ( | void |  | ) |

Call to erase all records.

        var cList = System.CreateDO('Network Package/Net Clients List Data');
        cList.Clear();

HRESULT IRdNtClientsListDisp::AddClient | ( | [in] IRdNtClientInfoDisp * | pRdNtClientInfo | ) |

Add client to list. If it already exists, the old one will be replaced.

Parameters:

  | pRdNtClientInfo | [in] Client's info data object. See IRdNtClientInfoDisp.

        var cList = System.CreateDO('Network Package/Net Clients List Data');
        var cInfo = System.CreateDO('Network Package/Net Client Info Data');
        // Building client info, right side of the following statements are just variables.
        // You would fill them in with meaningful data. Here for demo only.
        cInfo.Id = sessionIDhere;
        cInfo.Name = cName;
        cInfo.SrvTimeLogIn = srvLoginTime;
        cInfo.LocTimeLogIn = locLoginTime;
        cInfo.Status = cStatus;
        cInfo.Privileges = cPriv;
        cInfo.URL = cURL;
        cInfo.Flags = cFlags;
        // Once the client info data object is filled with data,
        // add the client to the list.
        cList.AddClient(cInfo);

HRESULT IRdNtClientsListDisp::RemoveClient | ( | [in] RtCSNID | csnidClient | ) |

Remove client's info by client session ID.

Parameters:

  | csnidClient | [in] Client's session identification.

        cList.RemoveClient(cInfo.Id);

HRESULT IRdNtClientsListDisp::GetClientInfo | ( | [in] RtCSNID | csnidClient,
|  | [out, retval] IRdNtClientInfoDisp ** | ppRdNtClientInfo |
| ) |  |  |

Find client's info by client session ID.

Parameters:

  | csnidClient | [in] Client's session identification.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfo.

        cList.GetClientInfo(cInfo.Id);

HRESULT IRdNtClientsListDisp::GetNumClients | ( | [out, retval] RtDWORD * | pdwNumClients | ) |

Retrieve number of records.

Returns:
  pdwNumClients [out, retval] Returns number of records.

        var cNumList = cList.GetNumClients;

HRESULT IRdNtClientsListDisp::GetClientInfoByIndex | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] IRdNtClientInfoDisp ** | ppRdNtClientInfo |
| ) |  |  |

Get client's info by index.

Parameters:

  | dwIndex | [in] Record index.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfoDisp.

Example: The code below enumerates IRdNtClientsList object with GetNumClients and GetClientInfoByIndex methods.

        var cNumList = cList.GetNumClients;
        for (i = 0; i < cNumList; i++)
        {
            cInfo = cList.GetClientInfoByIndex(i);
            bstrClientName = cInfo.Name;
            System.Trace(bstrClientName);
        }

See also:
  GetFirstClient

HRESULT IRdNtClientsListDisp::GetClientInfoByName | ( | [in] BSTR | bszName,
|  | [out, retval] IRdNtClientInfoDisp ** | ppRdNtClientInfo |
| ) |  |  |

Get client's info by name.

Parameters:

  | bszName | [in] Client name.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfoDisp.

        var cName = cList.GetClientInfoByName(cInfo.Name);

HRESULT IRdNtClientsListDisp::GetFirstClient | ( | [out, retval] IRdNtClientInfoDisp ** | ppRdNtClientInfo | ) |

Get first record in list.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfoDisp.

Example: The code below enumerates IRdNtClientsList object with GetFirstClient and GetNextClient methods.

        for (cInfo = cList.GetFirstClient());
        cInfo != null;
        cInfo = cList.GetNextClient();
        {
            bstrClientName = cInfo.Name;
            System.Trace(bstrClientName);
        }

See also:
  GetClientInfoByIndex

HRESULT IRdNtClientsListDisp::GetNextClient | ( | [out, retval] IRdNtClientInfoDisp ** | ppRdNtClientInfo | ) |

Get next list's record.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfoDisp.

        cInfo = cList.GetNextClient();

See also:
  GetFirstClient

  GetClientInfoByIndex

## Property Documentation

BSTR * IRdNtClientsListDisp::ServerName`[get]`

Use this property to read server's name.

Returns:
  pbstrName [out, retval] Returns server's name.

        var sName = cList.ServerName();

BSTR IRdNtClientsListDisp::ServerName`[set]`

Use this property to set server's name.

Parameters:

  | bstrName | [in] Server's name.

        cList.ServerName() = sName;